#
# Conditional build:
%bcond_with	tests		# do not perform "make test"
#
%define	pdir	Module
%define	pnam	Install
Summary:	Module::Install - Standalone, extensible Perl module installer
Summary(pl.UTF-8):	Module::Install - samodzielny, rozszerzalny instalator modułów Perla
Name:		perl-Module-Install
Version:	1.19
Release:	1%{?tld}
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/Module/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	0d1b78cc13ebf9b9ad008c8928a5b2dd
URL:		http://search.cpan.org/dist/Module-Install/
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
BuildRequires:	perl-Archive-Tar >= 1.44
BuildRequires:	perl-Devel-PPPort >= 3.16
BuildRequires:	perl-ExtUtils-Install >= 1.52
BuildRequires:	perl-ExtUtils-MakeMaker >= 6.59
BuildRequires:	perl-ExtUtils-ParseXS >= 2.19
BuildRequires:	perl-File-Remove >= 1.42
BuildRequires:	perl-JSON >= 2.14
BuildRequires:	perl-Module-Build >= 0.29
BuildRequires:	perl-Module-CoreList >= 2.17
BuildRequires:	perl-Module-ScanDeps >= 1.09
BuildRequires:	perl-PAR-Dist >= 0.29
BuildRequires:	perl-Parse-CPAN-Meta >= 1.4413
BuildRequires:	perl-PathTools >= 3.28
BuildRequires:	perl-Test-Harness >= 3.13
BuildRequires:	perl-Test-Simple >= 0.86
BuildRequires:	perl-YAML-Tiny >= 1.38
BuildRequires:	perl-libwww >= 5.812
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Module::Install is a package for writing installers for CPAN (or
CPAN-like) distributions that are clean, simple, minimalist, act in a
strictly correct manner with both the ExtUtils::MakeMaker and
Module::Build build systems, and will run on any Perl installation
version 5.004 or newer.

The intent is to make it as easy as possible for CPAN authors (and
especially for first-time CPAN authors) to have installers that follow
all the best practices for distribution installation, but involve as
much DWIM (Do What I Mean) as possible when writing them.

%description -l pl.UTF-8
Module::Install to pakiet do pisania dla dystrybucji CPAN (lub
podobnych) instalatorów, które będą przejrzyste, minimalistyczne i
działały całkowicie poprawnie z systemami budowania
ExtUtils::MakeMaker i Module::Build, a także będą działać na każdej
instalacji Perla od wersji 5.004.

Celem jest jak największe ułatwienie autorom CPAN (a szczególnie
początkującym autorom CPAN) posiadania instalatorów zachowujących się
jak najlepiej.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	--skipdeps \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%{__rm} $RPM_BUILD_ROOT%{perl_vendorlib}/Module/Install.pod

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Module/AutoInstall.pm
%{perl_vendorlib}/Module/Install.pm
%{perl_vendorlib}/Module/Install
%dir %{perl_vendorlib}/inc
%dir %{perl_vendorlib}/inc/Module
%{perl_vendorlib}/inc/Module/Install.pm
%{perl_vendorlib}/inc/Module/Install
%{_mandir}/man3/Module::AutoInstall.3pm*
%{_mandir}/man3/Module::Install*.3pm*
%{_mandir}/man3/inc::Module::Install*.3pm*
%changelog
* Mon Apr 01 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/perl-Module-Install.git;a=log;h=master

* Sat Jan 25 2020 Jan Rękorajski <baggins@pld-linux.org> 9f73d46
- drop obsolete and outdated manual inclusion of rpm macros

* Thu Nov 14 2019 Arkadiusz Miśkiewicz <arekm@maven.pl> b6fbd04
- up to 1.19

* Sat Jul 08 2017 Jakub Bogusz <qboosh@pld-linux.org> 145727e
- updated to 1.18

* Sun Oct 26 2014 Jakub Bogusz <qboosh@pld-linux.org> 46ee3bf
- updated to 1.14

* Sat Oct 04 2014 Adam Osuchowski <adwol@pld-linux.org> 684d90f
- up to 1.12

* Sun Jun 30 2013 Jakub Bogusz <qboosh@pld-linux.org> 68a7a57
- updated to 1.06

* Sat Jan 14 2012 zbyniu <zbyniu@pld-linux.org> 5a9f603
- up to 1.04

* Thu Jun 09 2011 lisu <lisu@pld-linux.org> 4fd6923
- updated to 1.01

* Tue Jun 22 2010 lisu <lisu@pld-linux.org> e6a1a87
- 1.00

* Wed Jun 16 2010 lisu <lisu@pld-linux.org> 19c2a77
- up to 0.99

* Thu Mar 11 2010 amateja <amateja@pld-linux.org> b1e0048
- updated to 0.95

* Tue Mar 09 2010 amateja <amateja@pld-linux.org> b82651e
- updated to 0.94

* Wed Sep 09 2009 amateja <amateja@pld-linux.org> 8237f52
- added BR: perl-ExtUtils-ParseXS >= 2.19

* Tue Jun 16 2009 amateja <amateja@pld-linux.org> 89c3a0d
- updated to 0.91

* Thu Dec 11 2008 radek <radek@pld-linux.org> a3d3746
- version 0.77

* Mon Dec 24 2007 zbyniu <zbyniu@pld-linux.org> 5e8d956
- up to 0.68

* Mon Feb 12 2007 Elan Ruusamäe <glen@pld-linux.org> 6a4e84c
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> 7f3505f
- converted to UTF-8

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 04f774a
- cleanup

* Sun Aug 20 2006 Jakub Bogusz <qboosh@pld-linux.org> 8876c94
- pl, generic URL

